package net.eisele.example;

import java.io.File;
import java.io.IOException;

import org.glassfish.api.embedded.ContainerBuilder;
import org.glassfish.api.embedded.EmbeddedFileSystem;
import org.glassfish.api.embedded.LifecycleException;
import org.glassfish.api.embedded.Server;

public class StartServer {

	private static Server server;

	/**
	 * @author eiselem
	 * @param args
	 * @throws IOException
	 * @throws LifecycleException
	 */
	public static void main(String[] args) throws IOException,
			LifecycleException {

		Server.Builder serverBuilder = new Server.Builder("myfear-"
				+ System.currentTimeMillis());
		serverBuilder.logger(true);

		EmbeddedFileSystem.Builder embeddedFsBuilder = new EmbeddedFileSystem.Builder()
				.instanceRoot(new File("target/temp"));
		server = serverBuilder.embeddedFileSystem(embeddedFsBuilder.build())
				.build();
		server.addContainer(ContainerBuilder.Type.all);


	}

}
